<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>cd.casic.boot</groupId>
        <artifactId>modules</artifactId>
        <version>${revision}</version>
    </parent>

    <artifactId>module-ci-process-biz</artifactId>

    <packaging>jar</packaging>
    <version>${revision}</version>
    <name>${project.artifactId}</name>

    <dependencies>

        <dependency>
            <groupId>cd.casic.boot</groupId>
            <artifactId>module-ci-commons</artifactId>
            <scope>compile</scope>
        </dependency>

        <dependency>
            <groupId>cd.casic.boot</groupId>
            <artifactId>module-system-api</artifactId>
        </dependency>

        <dependency>
            <groupId>cd.casic.boot</groupId>
            <artifactId>spring-boot-starter-mq</artifactId>
        </dependency>

        <dependency>
            <groupId>cd.casic.boot</groupId>
            <artifactId>spring-boot-starter-mybatis</artifactId>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>cd.casic.boot</groupId>
            <artifactId>spring-boot-starter-security</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-websocket</artifactId>
            <version>6.1.13</version>
        </dependency>
        <dependency>
            <groupId>cd.casic.boot</groupId>
            <artifactId>spring-boot-starter-biz-tenant</artifactId>
        </dependency>

        <dependency>
            <groupId>org.bouncycastle</groupId>
            <artifactId>bcprov-jdk18on</artifactId>
            <version>1.80</version>
        </dependency>

        <dependency>
            <groupId>com.hierynomus</groupId>
            <artifactId>sshj</artifactId>
            <version>0.32.0</version>
        </dependency>
        <dependency>
            <groupId>net.sf.expectit</groupId>
            <artifactId>expectit-core</artifactId>
            <version>0.9.0</version>
        </dependency>
        <!--  ssh 相关依赖，暂时先放在这-->
        <dependency>
            <groupId>com.jcraft</groupId>
            <artifactId>jsch</artifactId>
        </dependency>

        <dependency>
            <groupId>io.cloudsoft.windows</groupId>
            <artifactId>winrm4j</artifactId>
        </dependency>

        <dependency>
            <groupId>ognl</groupId>
            <artifactId>ognl</artifactId>
        </dependency>

        <dependency>
            <groupId>org.apache.httpcomponents.client5</groupId>
            <artifactId>httpclient5</artifactId>
            <version>5.2.1</version> <!-- 建议使用最新稳定版本 -->
        </dependency>
        <dependency>
            <groupId>cd.casic.boot</groupId>
            <artifactId>module-infra-biz</artifactId>
        </dependency>
        <dependency>
            <groupId>cd.casic.boot</groupId>
            <artifactId>module-ci-execute</artifactId>
        </dependency>
    </dependencies>
    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <configuration>
                    <annotationProcessorPaths>
                        <path>
                            <groupId>org.projectlombok</groupId>
                            <artifactId>lombok</artifactId>
                            <version>${lombok.version}</version>
                        </path>
                        <path>
                            <groupId>org.mapstruct</groupId>
                            <artifactId>mapstruct-processor</artifactId>
                            <version>${mapstruct.version}</version>
                        </path>
                    </annotationProcessorPaths>
                </configuration>
            </plugin>
        </plugins>
    </build>
</project>